# Module `gears.debug`

### Info:

- Copyright: 2010 Uli Schlachter
- Author: Uli Schlachter

## Functions

dump_return (data, tag[, depth]) | Inspect the value in data.
dump (data, tag[, depth]) | Print the table (or any other value) to the console.
print_warning (message) | Print an warning message
print_error (message) | Print an error message
deprecate ([see], args) | Display a deprecation notice, but only once per traceback.
deprecate_class (fallback, old_name, new_name) | Create a class proxy with deprecation messages.

## Functions

Methods

dump_return (data, tag[, depth])
  Inspect the value in data.
  - data Value to inspect.
  - tag The name of the value.
  - depth int Depth of recursion. (optional)

  ### Returns:

  string A string that contains the expanded value of data.
dump (data, tag[, depth])
  Print the table (or any other value) to the console.
  - data Table to print.
  - tag The name of the table.
  - depth int Depth of recursion. (optional)
print_warning (message)
  Print an warning message
  - message string The warning message to print
print_error (message)
  Print an error message
  - message string The error message to print
deprecate ([see], args)
  Display a deprecation notice, but only once per traceback.

  This function also emits the `debug::deprecate` signal on the awesome global object.

  - see The message to a new method / function to use. (optional)
  - args Extra arguments
    - raw boolean Print the message as-is without the automatic context
    - deprecated_in integer Print the message only when Awesome's version is equal to or greater than deprecated_in.
deprecate_class (fallback, old_name, new_name)
  Create a class proxy with deprecation messages. This is useful when a class has moved somewhere else.
  - fallback table The new class
  - old_name string The old class name
  - new_name string The new class name

  ### Returns:

  table A proxy class.

generated by LDoc 1.5.0 Last updated 2025-09-26 21:04:17